Bug 209326 - devel/qt5: refactor, update themes, add qtdesignerplugin
Summary: devel/qt5: refactor, update themes, add qtdesignerplugin
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Only Me
Assignee: Kurt Jaeger
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2016-05-06 10:22 UTC by groot
Modified: 2016-05-29 08:40 UTC (History)
2 users (show)

See Also:
pi: maintainer-feedback+


Attachments
misc updates patch, split qbs / qtcreator (33.62 KB, patch)
2016-05-06 10:22 UTC, groot
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description groot 2016-05-06 10:22:21 UTC
Created attachment 170044 [details]
misc updates patch, split qbs / qtcreator

These are updates from area51, the KDE-FreeBSD staging area. It's the last big thing to be done to qt-5.5, preparing structures for the eventual update to qt-5.6.

 - splits qbs (Qt Build System) off of qtcreator
 - update qtcreator
 - platform and themes updates
 - add qtdesignerplugin to the python port

Work by rakuco, tcberner and Ralf Nolden.
Comment 1 Mark Linimon freebsd_committer freebsd_triage 2016-05-06 11:15:40 UTC
Give this a more descriptive Summary.
Comment 2 commit-hook freebsd_committer 2016-05-28 17:19:52 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 17:19:44 UTC 2016
New revision: 416053
URL: https://svnweb.freebsd.org/changeset/ports/416053

Log:
  Mk/Uses/qmake.mk: add empty do-configure target

  PR:		209326
  Submitted by:	rakuco, T.C.Berner <tcberner@gmail.com>, Ralf Nolden <nolden@kde.org>

Changes:
  head/Mk/Uses/qmake.mk
Comment 3 commit-hook freebsd_committer 2016-05-28 17:22:53 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 17:22:11 UTC 2016
New revision: 416054
URL: https://svnweb.freebsd.org/changeset/ports/416054

Log:
  Mk/bsd.qt.mk: preparing structures for the eventual update to qt-5.6

  PR:		209326
  Submitted by:	rakuco, T.C.Berner <tcberner@gmail.com>, Ralf Nolden <nolden@kde.org>

Changes:
  head/Mk/bsd.qt.mk
Comment 4 commit-hook freebsd_committer 2016-05-28 17:24:55 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 17:24:18 UTC 2016
New revision: 416055
URL: https://svnweb.freebsd.org/changeset/ports/416055

Log:
  x11-toolkits/qt5-gui: platform and themes updates

  PR:		209326
  Submitted by:	rakuco, T.C.Berner <tcberner@gmail.com>, Ralf Nolden <nolden@kde.org

Changes:
  head/x11-toolkits/qt5-gui/Makefile
  head/x11-toolkits/qt5-gui/pkg-plist
Comment 5 commit-hook freebsd_committer 2016-05-28 17:27:57 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 17:27:22 UTC 2016
New revision: 416056
URL: https://svnweb.freebsd.org/changeset/ports/416056

Log:
  x11-toolkits/qt5-widgets: remove stray newline

  PR:		209326

Changes:
  head/x11-toolkits/qt5-widgets/Makefile
Comment 6 commit-hook freebsd_committer 2016-05-28 17:29:59 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 17:29:16 UTC 2016
New revision: 416057
URL: https://svnweb.freebsd.org/changeset/ports/416057

Log:
  devel/py-qt5: refactor

  PR:		209326
  Submitted by:	rakuco, T.C.Berner <tcberner@gmail.com>, Ralf Nolden <nolden@kde.org>

Changes:
  head/devel/py-qt5/Makefile
Comment 7 Kurt Jaeger freebsd_committer 2016-05-28 17:30:36 UTC
Committed, thanks
Comment 8 Kurt Jaeger freebsd_committer 2016-05-28 17:31:03 UTC
And: seperate patches would have been much better.
Comment 9 commit-hook freebsd_committer 2016-05-28 20:02:10 UTC
A commit references this bug:

Author: pi
Date: Sat May 28 20:01:17 UTC 2016
New revision: 416064
URL: https://svnweb.freebsd.org/changeset/ports/416064

Log:
  Mk/Uses/qmake.mk: revert latest change

  PR:		209326
  Requested by:	mat

Changes:
  head/Mk/Uses/qmake.mk
Comment 10 Tobias Berner 2016-05-29 08:27:07 UTC
(In reply to commit-hook from comment #3)

area51/trunk was broken at the time of this checkout, and the 'doc' component for qt4 was dropped inadvertently.

Please apply the attached patch. -- Sorry for this.



Index: Mk/bsd.qt.mk
===================================================================
--- Mk/bsd.qt.mk        (Revision 416086)
+++ Mk/bsd.qt.mk        (Arbeitskopie)
@@ -306,7 +306,7 @@
                                xml xmlpatterns

 _USE_QT4_ONLY= accessible assistant-adp assistantclient codecs-cn codecs-jp \
-                               codecs-kr codecs-tw corelib demo graphicssystems-opengl \
+                               codecs-kr codecs-tw corelib demo doc graphicssystems-opengl \
                                help-tools iconengines inputmethods makeqpf moc phonon \
                                phonon-gst porting qdoc3 qmlviewer qt3support qtconfig \
                                qtestlib qvfb rcc uic uic3 xmlpatterns-tool
Comment 11 commit-hook freebsd_committer 2016-05-29 08:40:11 UTC
A commit references this bug:

Author: pi
Date: Sun May 29 08:39:59 UTC 2016
New revision: 416088
URL: https://svnweb.freebsd.org/changeset/ports/416088

Log:
  devel/qt5: refactor: fix Mk/bsd.qt.mk

  - the 'doc' component for qt4 was dropped inadvertently, re-added

  PR:		209326
  Submitted by:	Tobias Berner <tcberner@gmail.com> (kde)

Changes:
  head/Mk/bsd.qt.mk